%global provider_prefix code
%global provider        google
%global provider_tld    com
%global project         p
%global repo            go.exp
%global commit          bd8df7009305d6ada223ea3c95b94c0f38bfa119

%global import_path     %{provider_prefix}.%{provider}.%{provider_tld}/%{project}/%{repo}
%global shortcommit     %(c=%{commit}; echo ${c:0:12})
%global debug_package   %{nil}

Name:           golang-googlecode-go-exp
Version:        0
Release:        0.1.hg%{shortcommit}%{?dist}
Summary:        Experimental tools and packages for Go
License:        BSD
URL:            http://%{import_path}
Source0:        https://exp.go.googlecode.com/archive/%{commit}.tar.gz
BuildArch:      noarch

%description
%{summary}.

%package devel
BuildRequires:  golang >= 1.2.1-3
BuildRequires:  golang(code.google.com/p/go.text/language)
BuildRequires:  golang(code.google.com/p/go.text/collate/colltab)
Requires:       golang >= 1.2.1-3
BuildRequires:  golang(code.google.com/p/go.text/language)
BuildRequires:  golang(code.google.com/p/go.text/collate/colltab)
Summary:        %{summary}
Provides:       golang(%{import_path}) = %{version}-%{release}
Provides:       golang(%{import_path}/ebnf) = %{version}-%{release}
Provides:       golang(%{import_path}/ebnflint) = %{version}-%{release}
Provides:       golang(%{import_path}/fsnotify) = %{version}-%{release}
Provides:       golang(%{import_path}/inotify) = %{version}-%{release}
Provides:       golang(%{import_path}/locale) = %{version}-%{release}
Provides:       golang(%{import_path}/locale/search) = %{version}-%{release}
Provides:       golang(%{import_path}/old) = %{version}-%{release}
Provides:       golang(%{import_path}/old/netchan) = %{version}-%{release}
Provides:       golang(%{import_path}/utf8string) = %{version}-%{release}

# winfsnotify is for Windows only

%description devel
%{summary}.

This package contains library source intended for
building other packages which use %{project}/%{repo}.

%prep
%setup -q -n exp.go-%{shortcommit}

%build

%install
install -d -p %{buildroot}/%{gopath}/src/%{import_path}/
for d in ebnf ebnflint fsnotify inotify locale old utf8string; do
        cp -pav $d %{buildroot}/%{gopath}/src/%{import_path}/
done

%check
GOPATH=%{buildroot}/%{gopath}:%{gopath} go test %{import_path}/{ebnf,ebnflint,fsnotify,inotify,locale/search,old/netchan,utf8string}

%files devel
%doc LICENSE PATENTS README 
%dir %{gopath}/src/%{import_path}
%dir %{gopath}/src/%{import_path}/ebnf
%dir %{gopath}/src/%{import_path}/ebnflint
%dir %{gopath}/src/%{import_path}/fsnotify
%dir %{gopath}/src/%{import_path}/inotify
%dir %{gopath}/src/%{import_path}/locale
%dir %{gopath}/src/%{import_path}/locale/search
%dir %{gopath}/src/%{import_path}/old
%dir %{gopath}/src/%{import_path}/old/netchan
%dir %{gopath}/src/%{import_path}/utf8string
%{gopath}/src/%{import_path}/*/*.go
%{gopath}/src/%{import_path}/*/*/*.go

%changelog
* Mon Sep 15 2014 Eric Paris <eparis@redhat.com - 0-0.1.hgbd8df7009305
- Bump to upstream bd8df7009305d6ada223ea3c95b94c0f38bfa119

